<?php
if (class_exists('SiteUsers'))
{
	/* Получаем id текущего пользователя сайта */
	$SiteUsers = & singleton('SiteUsers');
	$site_user_id = $SiteUsers->GetCurrentSiteUser();
}
else
{
	$site_user_id = 0;
}

$shop = & singleton('shop');

/* Получаем идентификатор заказа */
$shop_order_guid = end($GLOBALS['URL_ARRAY']);

if ($shop_order_guid)
{
	$shop_order_row = $shop->GetOrderByGuid($shop_order_guid);

	if ($shop_order_row)
	{
		$shop_order_id = $shop_order_row['shop_order_id'];

		/* Проверяем, принадлежит ли заказ текущему юзеру */
		if (($shop->IsOrderOfThisSiteUser($shop_order_id, $site_user_id) && $site_user_id != 0)
		|| isset($_SESSION['order_'.$shop_order_id]))
		{
			$order_row = $shop->GetOrder($shop_order_id);

			if ($order_row)
			{
				/* Формируем путь к файлу */
				$handler_path = CMS_FOLDER."hostcmsfiles/shop/pay/handler".$order_row['shop_system_of_pay_id'].'.php';
				if (file_exists($handler_path))
				{
					include($handler_path);
					$handler = new system_of_pay_handler();
					$handler->PrintOrder($shop_order_id);
				}
			}
			else
			{
				?><h1>Не найден заказ</h1><?php
			}
		}
		else
		{
			?>
			<h1>У Вас недостаточно права на просмотр данного документа</h1>
			<p>Авторизируйтесь в <a href="/users/">личном кабинете</a>.</p>
			<?php
		}
	}
}
?>